<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
//include_once(_DIR_EXT.'/aspmo_rmt/i_mrt.php') ;
class c_page_cab_rml_lamp_events extends c_page
{
    public $h1='Рабочее место ламповщика - выданные лампы - события' ;
    public $allow_access_to_rol=8 ; //

    function set_head_tags()
    {
        parent::set_head_tags() ;
        $this->HEAD['js'][]=_PATH_TO_EXT.'/jquery/buzz.min.js' ;
        $this->HEAD['css'][]=_PATH_TO_EXT.'/aspmo_rml/style.css' ;
    }
    
    function second_menu_config()
    {
        $this->second_menu=$this->menu['/cab/rml/']['items'] ;
        if ($GLOBALS['LS_lamp_counting']) {
            $this->second_menu['/cab/rml/lamp_events/']='Выдаваемые лампы - события';
            $this->second_menu['/cab/rml/lamp_in_hand/']='Выданные лампы';
        }
    }

    function block_main()
    {
        include_once('report_lamp_events.php');
        $report_obj= new report_lamp_events();
        $report_obj->setting(array('panel_button_apply'=>1));
        $report_obj->view_as_HTML();
    }

}

?>